MONGOC_SSL_OPT_T(3)

NAME
mongoc_ssl_opt_t - typedef struct {
   const char *pem_file;
   const char *pem_pwd;
   const char *ca_file;
   const char *ca_dir;
   const char *crl_file;
   bool weak_cert_validation;
   void *padding [8]; } mongoc_ssl_opt_t;

SYNOPSIS

typedef struct
{
   const char *pem_file;
   const char *pem_pwd;
   const char *ca_file;
   const char *ca_dir;
   const char *crl_file;
   bool        weak_cert_validation;
   void       *padding [8];
} mongoc_ssl_opt_t;

DESCRIPTION

This structure is used to set the SSL options for a mongoc_client_t or mongoc_client_pool_t \&.

Beginning in version 1.2.0, once a pool or client has any SSL options set, all connections use SSL, even if "ssl=true" is omitted from the MongoDB URI. Before, SSL options were ignored unless "ssl=true" was included in the URI.

SEE ALSO

\[bu]

\[bu]

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.